netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
zip.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <sys/param.h>`
`#include <sys/types.h>`
`#include <atalk/logger.h>`
`#include <sys/socket.h>`
`#include <sys/ioctl.h>`
`#include <sys/time.h>`
`#include <net/if.h>`
`#include <net/route.h>`
`#include <netatalk/at.h>`
`#include <atalk/ddp.h>`
`#include <atalk/zip.h>`
`#include <atalk/atp.h>`
`#include <atalk/util.h>`
`#include "atserv.h"`
`#include "interface.h"`
`#include "gate.h"`
`#include "zip.h"`
`#include "rtmp.h"`
`#include "list.h"`
`#include "multicast.h"`
`#include "main.h"`

## Functions
static int | zonecheck (struct rtmptab *rtmp, struct interface *iface)
int | zip_packet (struct atport *ap, struct sockaddr_at *from, char *data, int len)
int | zip_getnetinfo (struct interface *iface)
struct ziptab * | newzt (const int len, const char *name)
static int | add_list (struct list **head, void *data)
int | addzone (struct rtmptab *rt, int len, char *zone)

## Variables
struct ziptab * | ziptab = NULL
struct ziptab * | ziplast = NULL

## Function Documentation

## ◆ add_list()

int add_list | ( | struct list ** | head,
|  | void * | data )
| static

## ◆ addzone()

int addzone | ( | struct rtmptab * | rt,
|  | int | len,
|  | char * | zone )

## ◆ newzt()

struct ziptab * newzt | ( | const int | len,
|  | const char * | name )

## ◆ zip_getnetinfo()

int zip_getnetinfo | ( | struct interface * | iface | ) |

## ◆ zip_packet()

int zip_packet | ( | struct atport * | ap,
|  | struct sockaddr_at * | from,
|  | char * | data,
|  | int | len )

## ◆ zonecheck()

int zonecheck | ( | struct rtmptab * | rtmp,
|  | struct interface * | iface )
| static

## Variable Documentation

## ◆ ziplast

struct ziptab * ziplast = NULL

## ◆ ziptab

struct ziptab* ziptab = NULL